---
updatedAt: 2026-05-27T00:16:27.000Z
agentTools:
  projectIndex: https://360learning.readme.io/llms.txt
---

# List all certificate outlines

> 🔑
>
> Required OAuth scope: `certificateOutlines:read`.

Lists all certificate outlines in your platform.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/certificate-outlines": {
      "get": {
        "description": "> 🔑\n>\n> Required OAuth scope: `certificateOutlines:read`.\n\nLists all certificate outlines in your platform.",
        "operationId": "v2.certificateOutlines.GetCertificateOutlinesController_getCertificateOutlines",
        "parameters": [
          {
            "name": "360-api-version",
            "in": "header",
            "description": "The version of the API.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "v2.0"
              ]
            }
          },
          {
            "name": "createdAt",
            "required": false,
            "in": "query",
            "style": "deepObject",
            "explode": true,
            "description": "Filter on **createdAt** property with LHS bracket notation.\n\nExpected value format is a date (YYYY-MM-DDThh:mm:ss.sssZ). The milliseconds are always set to 0.",
            "schema": {
              "properties": {
                "lt": {
                  "type": "string",
                  "format": "date-time",
                  "description": "Filter on dates lower than the given one",
                  "example": "2020-01-01T10:30:26.000Z"
                },
                "gte": {
                  "type": "string",
                  "format": "date-time",
                  "description": "Filter on dates greater than or equal the given one",
                  "example": "2020-01-01T10:30:26.000Z"
                }
              }
            }
          },
          {
            "name": "groupId",
            "required": false,
            "in": "query",
            "style": "deepObject",
            "explode": true,
            "description": "Filter on **groupId** property with LHS bracket notation.\n\nExpected value format is a valid ID (24 digits or letters).",
            "schema": {
              "properties": {
                "eq": {
                  "type": "string",
                  "format": "ObjectId",
                  "pattern": "^[a-fA-F0-9]{24}$",
                  "description": "Filter on values equal to the given one",
                  "example": "507f1f77bcf86cd799439011"
                },
                "ne": {
                  "type": "string",
                  "format": "ObjectId",
                  "pattern": "^[a-fA-F0-9]{24}$",
                  "description": "Filter on values not equal to the given one",
                  "example": "507f1f77bcf86cd799439011"
                },
                "in": {
                  "type": "array",
                  "description": "Filter on values including the given ones",
                  "items": {
                    "type": "string",
                    "format": "ObjectId",
                    "pattern": "^[a-fA-F0-9]{24}$",
                    "example": "507f1f77bcf86cd799439011"
                  }
                },
                "nin": {
                  "type": "array",
                  "description": "Filter on values excluding the given ones",
                  "items": {
                    "type": "string",
                    "format": "ObjectId",
                    "pattern": "^[a-fA-F0-9]{24}$",
                    "example": "507f1f77bcf86cd799439011"
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returns all certificate outlines in the company.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/CertificateOutlineResponseDTO"
                  }
                }
              }
            }
          },
          "401": {
            "description": "The given access token is either missing, invalid, has expired, or has been revoked.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "invalid_token"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "403": {
            "description": "The given access token does not have the required OAuth scope to execute the request.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Invalid Scope",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "invalid_scope"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "The client has sent too many requests in a short amount of time. ",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "tooManyRequests"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "summary": "List all certificate outlines",
        "tags": [
          "Certificate Outlines"
        ]
      }
    }
  },
  "info": {
    "title": "Core API",
    "description": "",
    "version": "1.0.0",
    "contact": {}
  },
  "servers": [
    {
      "url": "https://app.360learning.com",
      "description": "Production EU"
    },
    {
      "url": "https://app.us.360learning.com",
      "description": "Production US"
    }
  ],
  "components": {
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {},
        "description": "Use the token from the authentication endpoint in the Authorization header.\n\nExample: `Authorization: Bearer <token>`"
      }
    },
    "schemas": {
      "CertificateOutlineResponseDTO": {
        "title": "Certificate Outline Response",
        "type": "object",
        "properties": {
          "title": {
            "type": "string",
            "description": "The title of the certificate outline.",
            "example": "Certificate of Completion",
            "minLength": 1
          },
          "groupId": {
            "type": "string",
            "description": "The unique ID of the group this outline belongs to.",
            "format": "ObjectId",
            "example": "507f1f77bcf86cd799439011",
            "pattern": "^[a-fA-F0-9]{24}$"
          },
          "_id": {
            "type": "string",
            "description": "The unique ID of the certificate outline.",
            "format": "ObjectId",
            "example": "507f1f77bcf86cd799439011",
            "pattern": "^[a-fA-F0-9]{24}$"
          },
          "createdAt": {
            "format": "date-time",
            "type": "string",
            "description": "The date and time when the certificate outline was created, in the `YYYY-MM-DDThh:mm:ss.sssZ` format (ISO 8601 in Coordinated Universal Time (UTC))."
          }
        },
        "required": [
          "title",
          "groupId",
          "_id",
          "createdAt"
        ]
      }
    }
  }
}
```